Subject: RE: [Sip] refer-with-feature-param

From: "Francois Audet" <[email-masked]>
Date: Sat, 6 Nov 2004 17:22:43 -0500

Do we need to distinguish the generic-param from the feature-param?

Seems to me that the feature-param is IANA defined (we probably need
to mention it in the IANA section), but the generic-param is not.

So, for example, you can't really know if Refer-To: [email-masked];audio
is implying the IANA-registered audio as per 3840/this draft or
anybody elses generic parameter which could mean something different.

I'm not sure if it is an issue of not. (I guess it depends if we expect that
the recipient of the REFER is supposed to look at the parameter or not.)

If so, it might be better to have an explicit indication like
;feature-param=audio or
something like that.

If not, then I don't understand why we need to alter the ABNF, because
feature-param is
a generic-param in the first place. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Cullen Jennings
> Sent: Friday, November 05, 2004 19:10
> To: [email-masked]
> Cc: Orit Levin
> Subject: [Sip] refer-with-feature-param
> 
> 
> 
> I'm vague on all this stuff but ... Do you need anything 
> normative for this at all - seems like this is already 
> supported and perhaps we just need some example call flows 
> demonstrating it.
> 
> Cullen
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments on the 
> application of sip
> 
> 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip